/*
 ***************************************************************************************
 *  Copyright (C) 2006 EsperTech, Inc. All rights reserved.                            *
 *  http://www.espertech.com/esper                                                     *
 *  http://www.espertech.com                                                           *
 *  ---------------------------------------------------------------------------------- *
 *  The software in this package is published under the terms of the GPL license       *
 *  a copy of which has been included with this distribution in the license.txt file.  *
 ***************************************************************************************
 */
package com.espertech.esper.codegen.model.statement;

import com.espertech.esper.codegen.model.expression.CodegenExpression;

import java.util.Map;
import java.util.Set;

public class CodegenStatementAssignArrayElement extends CodegenStatementBase {
    private final String name;
    private final CodegenExpression index;
    private final CodegenExpression expression;

    public CodegenStatementAssignArrayElement(String name, CodegenExpression index, CodegenExpression expression) {
        this.name = name;
        this.index = index;
        this.expression = expression;
    }

    public void renderStatement(StringBuilder builder, Map<Class, String> imports) {
        builder.append(name).append("[");
        index.render(builder, imports);
        builder.append("]=");
        expression.render(builder, imports);
    }

    public void mergeClasses(Set<Class> classes) {
        index.mergeClasses(classes);
        expression.mergeClasses(classes);
    }
}
